com.hazelcast.jet.core

## Interface ProcessorMetaSupplier.Context

- All Known Subinterfaces:
    Processor.Context, ProcessorSupplier.Context
  All Known Implementing Classes:
    TestProcessorContext, TestProcessorMetaSupplierContext, TestProcessorSupplierContext
  Enclosing interface:
    ProcessorMetaSupplier

      public static interface ProcessorMetaSupplier.Context

  Context passed to the meta-supplier at init time on the member that received a job request from the client.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `executionId()` Returns the job execution ID.
    `JetInstance` | `jetInstance()` Returns the current Jet instance.
    `JobConfig` | `jobConfig()` Returns the `JobConfig`.
    `long` | `jobId()` Returns the job ID.
    `int` | `localParallelism()` Returns the number of processors that each `ProcessorSupplier` will be asked to create once deserialized on each member.
    `ILogger` | `logger()` Returns a logger for the associated `ProcessorMetaSupplier`.
    `int` | `memberCount()` Returns the number of members running this job.
    `ProcessingGuarantee` | `processingGuarantee()` Returns the guarantee for current job.
    `default boolean` | `snapshottingEnabled()` Returns true, if snapshots will be saved for this job.
    `int` | `totalParallelism()` Returns the total number of `Processor`s that will be created across the cluster.
    `String` | `vertexName()` Returns the name of the associated vertex.

- - ### Method Detail

    - #### jetInstance

          @Nonnull
          JetInstance jetInstance()

      Returns the current Jet instance.

    - #### jobId

          long jobId()

      Returns the job ID. Job id is unique for job submission and doesn't change when the job restarts. It's also unique for all running and archived jobs.

    - #### executionId

          long executionId()

      Returns the job execution ID. It's unique for one execution, but changes when the job restarts.

    - #### jobConfig

          @Nonnull
          JobConfig jobConfig()

      Returns the `JobConfig`.

    - #### totalParallelism

          int totalParallelism()

      Returns the total number of `Processor`s that will be created across the cluster. This number remains stable for entire job execution. It is equal to `memberCount()` * `localParallelism()`.

    - #### localParallelism

          int localParallelism()

      Returns the number of processors that each `ProcessorSupplier` will be asked to create once deserialized on each member. All members have equal local parallelism. The count doesn't change unless the job restarts.

    - #### memberCount

          int memberCount()

      Returns the number of members running this job.

      Note that the value might be lower than current member count if members were added after the job started. The count doesn't change unless the job restarts.

    - #### vertexName

          @Nonnull
          String vertexName()

      Returns the name of the associated vertex.

    - #### logger

          @Nonnull
          ILogger logger()

      Returns a logger for the associated `ProcessorMetaSupplier`.

    - #### snapshottingEnabled

          default boolean snapshottingEnabled()

      Returns true, if snapshots will be saved for this job.

    - #### processingGuarantee

          ProcessingGuarantee processingGuarantee()

      Returns the guarantee for current job.

Copyright © 2020. All rights reserved.